import React from 'react';
import { connect } from "react-redux";

import { postLoginSubmit } from "../../actions/login";

import LoginForm from '../../components/login-form/LoginForm';

export class Login extends React.Component {
    render() {
        return ( <LoginForm postLoginSubmit={ this.props.postLoginSubmit }/> )
    }
}

const mapStateToProps = state => {
    return {
        user: state.login.user
    };
};

export default connect(
    mapStateToProps,
    { postLoginSubmit }
)(Login);